Ask Your Question
0

Why doesn't 'Add/Remove Software' work lately?

asked 2011-12-27 11:25:24 -0600

Pale Writer gravatar image

updated 2014-09-30 11:14:11 -0600

mether gravatar image

Perhaps I should admit that I've not collected enough statistics by actual trial to merit such a sweeping claim, but it certainly SEEMS as if nearly every package that I've attempted to install via the 'A/R S' GUI (for YUM, AFAIK) has failed due to come dependent pkg requiring some OTHER pkg that is actually OLDER than either what I already have installed or what is now available for D/L & installation. In some cases I can't even FIND the requisite pkg - in ANY version! Ironically, this problem actually prevented me from D/L & inst of the mozilla IRC client that I tried to install in order to get to the #FEDORA freenode chat for "community support" of my lame problem. I didn't seem to have this problem back when I was running 3.1.0-7.fc16.i686, but since I updated to 3.1.5-6.fc16.i686 I lost all my installed packages and can't seem to get them back.

Is there some way to get my dependencies straightened out?

Thanks in advance!

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
1

answered 2011-12-27 11:42:31 -0600

FranciscoD_ gravatar image

Try:

su -c 'yum clean all && yum update'

and see if the dependency problems persist. If they do, please file a bug against the package that is breaking the dependency chain.

edit flag offensive delete link more

Question Tools

Stats

Asked: 2011-12-27 11:25:24 -0600

Seen: 618 times

Last updated: Dec 27 '11